﻿#region Copyright
/// <summary>The ScummVM WPF UI project</summary>
/// <copyright>(c) 2016 MojoTouch</copyright>
/// <author>Ilya Rovensky</author>
#endregion

using System;
using System.Diagnostics;
using System.IO;
using System.Reflection;
using System.Windows;

namespace WpfInterface
{
    public partial class AboutSubMenu : Menu
    {
        //private string _currentFolder;
        private string _rateUrl;

        public AboutSubMenu(string rateUrl)
        {
            InitializeComponent();

            _rateUrl = rateUrl;

            //Loaded += (sender, e) =>
            //{
            //    Window uiWindow = Window.GetWindow(BrowserBorder);

            //    Form browserOverlay = new Form()
            //    {
            //        //Opacity = 0.5,
            //        ShowInTaskbar = false,
            //        TransparencyKey = System.Drawing.Color.White,
            //        FormBorderStyle = FormBorderStyle.None
            //    };

            //    WebBrowser browser = new WebBrowser()
            //    {
            //        Dock = DockStyle.Fill
            //    };

            //    browserOverlay.Controls.Add(browser);

            //    IsVisibleChanged += (_, args) =>
            //    {
            //        if (!(bool)args.NewValue)
            //            browserOverlay.Hide();
            //    };

            //    browserOverlay.FormClosing += (_, __) => uiWindow.Close();

            //    // show
            //    NativeWindow nativeWindow = new NativeWindow();
            //    nativeWindow.AssignHandle(new WindowInteropHelper(uiWindow).Handle);
            //    browserOverlay.Show(nativeWindow);
            //    nativeWindow.ReleaseHandle();

            //    // position                                
            //    Point topLeft = BrowserBorder.PointToScreen(new Point(0, 0));
            //    Point bottomRight = BrowserBorder.PointToScreen(new Point(BrowserBorder.ActualWidth, BrowserBorder.ActualHeight));
            //    bottomRight.Offset(-topLeft.X, -topLeft.Y);

            //    browserOverlay.SetBounds((int)topLeft.X, (int)topLeft.Y, (int)bottomRight.X, (int)bottomRight.Y);


            //    browser.Navigate($"file:///{Directory.GetCurrentDirectory()}/{Assets.Path}/About/About.html");
            //    browser.Document.MouseMove += (_, __) => browser.Document.Focus();
            //};
            //Browser.Address = new Uri($"file:///{Directory.GetCurrentDirectory()}/{Assets.Path}/About/About.html");

            //_currentFolder = Directory.GetCurrentDirectory();
            //Directory.SetCurrentDirectory($"{Assets.Path}/About/");

            Browser.Text = File.ReadAllText($"{Assets.Path}/About/About.html").Replace("VERSION", 
                $"Version {FileVersionInfo.GetVersionInfo(Assembly.GetExecutingAssembly().Location).ProductVersion}");
        }
        
        protected override void StringsChanged()
        {
            RateButton.Content = Strings[(int)LocString.rate_us];
            BackButton.Content = Strings[(int)LocString.back];
        }

        private void BackButton_Click(object sender, RoutedEventArgs e)
        {
            //Directory.SetCurrentDirectory(_currentFolder);
            SetResultFromSenderTag((FrameworkElement)sender);
        }

        private void RateButton_Click(object sender, RoutedEventArgs e)
        {
            // opens URL in browser
            if (!string.IsNullOrEmpty(_rateUrl))
            {
                SoundPlayer.Music(false);
                Process.Start(_rateUrl);
            }
        }
    }
}
