﻿#region Copyright
/// <summary>The ScummVM WPF UI project</summary>
/// <copyright>(c) 2016 MojoTouch</copyright>
/// <author>Ilya Rovensky</author>
#endregion

using System;
using System.Collections.Generic;
using System.Windows;

namespace WpfInterface
{
    public partial class AlertPopUp : PopUp
    {
        public AlertPopUp()
        {
            InitializeComponent();
        }

        internal struct AlertData
        {
            internal string Message;
            internal List<string> Buttons;            
        }

        internal AlertPopUp(AlertData alertData) : this()
        {
            CaptionBlock.Text = alertData.Message;

            if (alertData.Buttons.Count > 0)
            {
                Button1.Content = alertData.Buttons[0];
                Button1.Visibility = Visibility.Visible;

                if (alertData.Buttons.Count > 1)
                {
                    Button2.Content = alertData.Buttons[1];
                    Button2.Visibility = Visibility.Visible;

                    if (alertData.Buttons.Count > 2)
                    {
                        Button3.Content = alertData.Buttons[2];
                        Button3.Visibility = Visibility.Visible;
                    }
                }
            }
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            SetResultFromSenderTag((FrameworkElement)sender);
        }
    }
}
